using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace WCS.Entity.Protocol.QT
{
    [Description("998")]
    public interface IQT998 : IProtocol
    {
        [Description("异常")]
        public Int16 Fault { get; set; }
        public Int16 InAsk { get; set; }
        public Int16 InOk { get; set; }
        public Int16 OutAsk { get; set; }

        [Description("机台启用")]
        public Int16 Enable { get; set; }
    }
    [Description("51")]
    public interface IQT51 : IProtocol
    {
        [Description("异常")]
        public QTFault Fault { get; set; }

        [Description("机台启用")]
        public QTStatus Enable { get; set; }
        [Description("机台状态")]
        public QTRunStatus RunStatus { get; set; }
    }

    public enum QTStatus : short
    {
        启用 = 2,
        停用 = 1
    }

    public enum QTRunStatus : short
    {
        空闲 = 2,
        非空闲 = 1
    }
    public enum QTFault : short
    {
        异常 = 1,
        非异常 = 2
    }
}
